Loading...
Searching...
No Matches
Ui::CMainShort Class Reference

## Public Member Functions

void | SetMode (bool bBuilding)
bool | CreateShortcuts ()
bool | UpdateShortcuts ()
void | SelectShortcut (EventType event)
void | SelectNext ()
CObject * | DetectShort (Math::Point pos)
void | SetHighlight (CObject *pObj)

## Protected Member Functions

int | GetShortcutIcon (ObjectType type)

## Protected Attributes

CEventQueue * | m_event
Gfx::CEngine * | m_engine
CInterface * | m_interface
CRobotMain * | m_main
std::vector< CObject * > | m_shortcuts
bool | m_bBuilding

The documentation for this class was generated from the following files:

- src/ui/mainshort.h
- src/ui/mainshort.cpp